Package org.eclipse.emf.compare.ide.ui.internal.logical.view

# Class ExplorersViewSelectionLMVHandler

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.view.AbstractLogicalModelViewHandler
org.eclipse.emf.compare.ide.ui.internal.logical.view.ExplorersViewSelectionLMVHandler

All Implemented Interfaces:
  `ILogicalModelViewHandler`

public class ExplorersViewSelectionLMVHandler extends AbstractLogicalModelViewHandler
Handle, for the Logical Model View, the item(s) selected in Project Explorer View or Package Explorer View.

## Constructor Summary

Constructors
Constructor
Description
`ExplorersViewSelectionLMVHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandle(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
This will be called to determine whether a selection must be listened by the logical model view.
`Collection<org.eclipse.core.resources.IFile>`
`getFiles(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
Retrieve the files associated with the given selection.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.view.AbstractLogicalModelViewHandler

`getSynchronizationModels`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExplorersViewSelectionLMVHandler

public ExplorersViewSelectionLMVHandler()

## Method Details

### canHandle

public boolean canHandle(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)
This will be called to determine whether a selection must be listened by the logical model view.

Specified by:
  `canHandle` in interface `ILogicalModelViewHandler`
Overrides:
  `canHandle` in class `AbstractLogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection` to test.
Returns:
  true if the selection must be listened, false otherwise.

### getFiles

public Collection<org.eclipse.core.resources.IFile> getFiles(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)
Retrieve the files associated with the given selection.

Specified by:
  `getFiles` in interface `ILogicalModelViewHandler`
Overrides:
  `getFiles` in class `AbstractLogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor.
  `selection` - the `ISelection`.
Returns:
  the files associated with the given selection.